kmplayer_0.12.0b-3_amd64.deb


Advertisement

Description

kmplayer - media player for KDE

Property Value
Distribution Ubuntu 19.10 (Eoan Ermine)
Repository Ubuntu Universe amd64
Package filename kmplayer_0.12.0b-3_amd64.deb
Package name kmplayer
Package version 0.12.0b
Package release 3
Package architecture amd64
Package type deb
Category universe/kde
Homepage http://kmplayer.kde.org
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 691.74 KB
Installed size 3.19 MB
KMPlayer is a simple frontend for MPlayer/FFMpeg/Phonon.
Some features:
* play DVD/VCD movies (from file or url and from a video device)
* embed inside konqueror (movie is played inside konqueror)
* embed inside khtml (movie playback inside a html page)
* Movie recording using mencoder (part of the mplayer package)
* No video during recording, but you can always open a new window and play it
* Broadcasting, http streaming, using ffserver/ffmpeg
* For TV sources, you need v4lctl (part of the xawtv package)

Alternatives

Package Version Architecture Repository
kmplayer_0.12.0b-3_i386.deb 0.12.0b i386 Ubuntu Universe
kmplayer - - -

Requires

Name Value
dbus-x11 -
kio -
libc6 >= 2.14
libcairo2 >= 1.6.4-5~
libdbus-1-3 >= 1.9.14
libdbus-glib-1-2 >= 0.78
libglib2.0-0 >= 2.16.0
libgtk2.0-0 >= 2.24.0
libkf5bookmarks5 >= 4.96.0
libkf5completion5 >= 4.97.0
libkf5configcore5 >= 4.97.0
libkf5configwidgets5 >= 4.96.0
libkf5coreaddons5 >= 4.100.0
libkf5i18n5 >= 4.97.0
libkf5iconthemes5 >= 4.96.0
libkf5kdelibs4support5 >= 5.13.0
libkf5kiocore5 >= 4.96.0
libkf5kiowidgets5 >= 4.96.0
libkf5mediaplayer5 >= 4.96.0
libkf5parts5 >= 4.96.0
libkf5textwidgets5 >= 5.0.0
libkf5widgetsaddons5 >= 4.96.0
libkf5xmlgui-bin -
libkf5xmlgui5 >= 4.98.0
libphonon4qt5-4 >= 4:4.8.0
libqt5core5a >= 5.11.0~rc1
libqt5dbus5 >= 5.0.2
libqt5gui5 >= 5.7.0
libqt5network5 >= 5.0.2
libqt5svg5 >= 5.6.0~beta
libqt5widgets5 >= 5.11.0~rc1
libqt5x11extras5 >= 5.6.0
libqt5xml5 >= 5.0.2
libstdc++6 >= 4.6
libx11-6 -
libxcb1 >= 1.6
phonon4qt5 -

Conflicts

Name Value
kmplayer-common -
kmplayer-plugin -

Replaces

Name Value
kmplayer-common -
kmplayer-plugin -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package kmplayer_0.12.0b-3_amd64.deb
Source Package kmplayer

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install kmplayer deb package:
    # sudo apt-get install kmplayer

Changelog

2018-11-25 - Pino Toscano <pino@debian.org>
kmplayer (1:0.12.0b-3) unstable; urgency=medium
* Team upload.
* Switch Vcs-* fields to salsa.debian.org.
* Bump the debhelper compatibility to 11:
- bump the debhelper build dependency to 11~
- bump compat to 11
- remove --parallel for dh, as now done by default
* Remove trailing whitespaces in changelog.
* Remove empty line at the end of changelog.
* Remove Fathi Boudra from Uploaders, as requested by the MIA team.
(Closes: #879353)
* Bump Standards-Version to 4.2.1, no changes required.
* Stop using the svn-buildpackage bits in the watch file.
2017-10-11 - Pino Toscano <pino@debian.org>
kmplayer (1:0.12.0b-2) unstable; urgency=medium
* Team upload.
* Backport upstream commit 3def65075c09af4961cd399e8e78ed78cca72e65 to fix
build with Qt 5.9; patch upstream_Fix-build-with-Qt-5.9.patch.
(Closes: #877499)
* Bump Standards-Version to 4.1.1, no changes required.
* Do not ship the upstream TODO file as documentation, since it is not
useful for users.
2017-06-18 - Pino Toscano <pino@debian.org>
kmplayer (1:0.12.0b-1) unstable; urgency=medium
* Team upload.
* New upstream release. (Closes: #799466)
* Update watch file to point to download.kde.org.
* Update the build dependencies following the port to Frameworks:
- remove kdelibs5-dev
- add extra-cmake-modules, qtbase5-dev, libqt5svg5-dev,
libqt5x11extras5-dev, libphonon4qt5-dev, libkf5config-dev,
libkf5coreaddons-dev, libkf5i18n-dev, kinit-dev,
libkf5kdelibs4support-dev, libkf5kio-dev, libkf5mediaplayer-dev,
libkf5parts-dev, and libkf5widgetsaddons-dev
* Use the right dh addon:
- switch from kde to kf5 dh addon
- bump the pkg-kde-tools build dependency to >= 0.15.16
* Stop trying to remove oxygen icons, as there are not anymore.
* Adjust path to find-media.sh.
* Update the patches:
- gcc5.diff: drop, fixed upstream
- upstream_set-cmake_min_req-to-2.8.9-to-match-kdelibs4-policy-.patch:
drop, backported from upstream
- upstream_Fix-build-with-cmake-3.4.patch: drop, backported from upstream
* Replace postinst and postrm that manually invoke ldconfig with an
invocation of the ldconfig trigger.
* Link in as-needed mode.
* Use https in Vcs-Browser field.
* Bump Standards-Version to 3.9.8, no changes required.
2016-01-17 - Pino Toscano <pino@debian.org>
kmplayer (1:0.11.3d-3) unstable; urgency=medium
* Team upload.
* Acknowledge NMU, thanks to Matthias Klose.
* Drop menu file, since kmplayer already provides a .desktop file.
* Move oxygen icons removal at dh_auto_install phase; same effect as before,
just more correct.
* Update Vcs-* headers.
* Backport upstream commit 4be412db53ce6342103836163c7b809f36d88a03 to add
missing cmake_minimum_required() in buildsystem; patch
upstream_set-cmake_min_req-to-2.8.9-to-match-kdelibs4-policy-.patch
(Closes: #805206)
* Backport upstream commit 53cb0b47026d12ae3428805348ea64db81837ded to fix
build with cmake >= 3.4; patch upstream_Fix-build-with-cmake-3.4.patch.
* Remove obsolete and unused not-installed file.
* Remove unused kmplayer.1.docbook file.
* Bump Standards-Version to 3.9.6, no changes required.
2015-07-14 - Matthias Klose <doko@debian.org>
kmplayer (1:0.11.3d-2.1) unstable; urgency=medium
* Non-maintainer upload.
* Fix build with GCC 5. Closes: #777928.
* Fix build on AArch64. Closes: #770966.
2013-05-11 - Mark Purcell <msp@debian.org>
kmplayer (1:0.11.3d-2) unstable; urgency=low
* Upload to unstable
2012-07-14 - Mark Purcell <msp@debian.org>
kmplayer (1:0.11.3d-1) experimental; urgency=low
* New upstream release
* debian/compat -> 9
2012-03-17 - Mark Purcell <msp@debian.org>
kmplayer (1:0.11.3c-1) unstable; urgency=low
* New upstream release
2012-02-19 - Mark Purcell <msp@debian.org>
kmplayer (1:0.11.3b-1) unstable; urgency=low
* New upstream release
2011-10-29 - Mark Purcell <msp@debian.org>
kmplayer (1:0.11.3a-1) unstable; urgency=low
* New upstream release

See Also

Package Description
kmplot_19.04.3-0ubuntu1_amd64.deb mathematical function plotter for KDE
kmscube_0.0.0~git20170617-2_amd64.deb Example KMS/GBM/EGL application
kmymoney-common_5.0.6-1_all.deb KMyMoney architecture independent files
kmymoney_5.0.6-1_amd64.deb personal finance manager for KDE
knavalbattle_19.04.3-0ubuntu1_amd64.deb battleship board game
knetwalk_19.04.3-0ubuntu1_amd64.deb wire puzzle game
knews_1.0b.1-32_amd64.deb Graphical threaded news reader
knights_19.04.3-0ubuntu1_amd64.deb chess interface for the KDE Platform
knockd_0.7-1ubuntu3_amd64.deb small port-knock daemon
knocker_0.7.1-6_amd64.deb Simple and easy to use TCP security port scanner
knockpy_4.1.0-1_all.deb Python tool designed to enumerate subdomains on a target domain
knot-dnsutils_2.7.6-2_amd64.deb Clients provided with Knot DNS (kdig, knslookup, knsupdate)
knot-doc_2.7.6-2_all.deb Documentation for Knot DNS
knot-host_2.7.6-2_amd64.deb Version of 'host' bundled with Knot DNS
knot-resolver-doc_3.2.1-3_all.deb Documentation for Knot Resolver
Advertisement
Advertisement